package sfs.cluster.lobby.friendlist;

/**
 * Represents a Friend item in the Friend List
 */
public class Friend
{
	String name;	
	String nodeId;
	
	/**
	 * Constructs a Friend object
	 * 
	 * @param name			name of the friend
	 * @param nodeId		id of the node where the friend is connected
	 */
	public Friend(String name, String nodeId)
    {
	    this.name = name;
	    this.nodeId = nodeId;
    }

	public String getName()
    {
    	return name;
    }

	public void setName(String name)
    {
    	this.name = name;
    }

	public String getNodeId()
    {
    	return nodeId;
    }

	public void setNodeId(String nodeId)
    {
    	this.nodeId = nodeId;
    }
}
